Unresolved BlockEntity?

Discussion in 'Server & Community Management' started by GopnikJr, Jan 28, 2020.

  1. Hello,
    I keep getting console warnings that look like the following:
    Code (Text):
    [Tue, 28. Jan 2020 00:00:38 UTC WARN] Unable to resolve BlockEntity for ItemStack: minecraft:spawner
    [Tue, 28. Jan 2020 00:00:38 UTC WARN] Unable to resolve BlockEntity for ItemStack: minecraft:spawner
    It comes in so frequently that it will generate server lag and lower TPS. I've tried googling about this to find a solution, and I have had no such luck. Surely someone here has had a similar experience and found the solution? Or atleast knows the solution.
    This has been happening since 1.15 has come out. I have since then done a new map in 1.15, though, too.
    Thank you!
     
    • Like Like x 1
  2. I believe this is because ItemStack is a deprecated method for non-items (such as blocks) and thus not recommended for use. One of your plugins is not updated for 1.15 and you should contact the plugin developer of the plugin that is throwing this error
     
  3. Do you have any idea how I would go about identifying which plugin that would be?
     
  4. If it doesn't show the plugin responsible for that warning you could try to temporarily remove some plugins and re-add them until the warning stops showing up, that way you narrow down the possible causes until you find the plugin responsible. And also obviously make sure all your plugins are updated.